Summary: X.Org X11 libXft runtime library
Name: libXft
Version: 2.3.2
Release: 3
License: MIT
Group: System Environment/Libraries
URL: http://www.x.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2.sig
Source2: %{name}.so.0-aix32
Source3: %{name}.so.0-aix64

BuildRequires: libXrender-devel >= 0.9.10-1
BuildRequires: freetype2-devel >= 2.8.1-1
BuildRequires: fontconfig-devel >= 2.12.4-1
BuildRequires: pkg-config, xorg-compat-aix >= 1.2-1

Requires:      libXrender >= 0.9.10-1
Requires:      freetype2 >= 2.8.1-1
Requires:      fontconfig >= 2.12.4-1

Provides:      xft

%define _libdir64 %{_prefix}/lib64

%description
X.Org X11 libXft runtime library

The library is available as 32-bit and 64-bit.


%package devel
Summary: X.Org X11 libXft development package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libXft development package

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc_r -q64" or "gcc -maix64".


%prep
%setup -q
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cd 32bit && tar cf - . | (cd ../64bit ; tar xpf -)


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

export CC="cc_r -qcpluscmt"

cd 64bit
# first build the 64-bit version
export OBJECT_MODE=64
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir64} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
make %{?_smp_mflags} V=1 

cd ../32bit
# now build the 32-bit version
export OBJECT_MODE=32
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
make %{?_smp_mflags} V=1


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
export OBJECT_MODE=64
make DESTDIR=${RPM_BUILD_ROOT} install

cd ../32bit
export OBJECT_MODE=32
gmake DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}%{_libdir64}
  for f in *.a ; do
    /usr/bin/ar -X64 -x ${f}
  done

  cd ${RPM_BUILD_ROOT}%{_libdir}
  for f in *.a ; do
    /usr/bin/ar -X32 -x ${f}
  done
)

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
/usr/bin/ar -X64 -q ${RPM_BUILD_ROOT}%{_libdir}/%{name}.a ${RPM_BUILD_ROOT}%{_libdir64}/%{name}.so.2

# Add the older shared members for compatibility with older apps
# (make sure they're set for LOADONLY with 'strip -e')
cp %{SOURCE2} %{name}.so.0
/usr/bin/strip -X32 -e %{name}.so.0
/usr/bin/ar -X32 -q ${RPM_BUILD_ROOT}%{_libdir}/%{name}.a %{name}.so.0
cp %{SOURCE3} %{name}.so.0
/usr/bin/strip -X64 -e %{name}.so.0
/usr/bin/ar -X64 -q ${RPM_BUILD_ROOT}%{_libdir}/%{name}.a %{name}.so.0

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib lib64
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/AUTHORS 32bit/COPYING 32bit/README 32bit/ChangeLog
%{_libdir}/*.a
%{_libdir}/*.so*
%{_libdir64}/*.so*
/usr/lib/*.a
/usr/lib/*.so*
/usr/lib64/*.so*


%files devel
%defattr(-,root,system,-)
%dir %{_includedir}/X11
%dir %{_includedir}/X11/Xft
%{_includedir}/X11/Xft/Xft.h
%{_includedir}/X11/Xft/XftCompat.h
%{_libdir}/*.la
%{_libdir64}/*.la
%{_libdir}/pkgconfig/xft.pc
%{_libdir64}/pkgconfig/xft.pc
%{_mandir}/man3/Xft.3


%changelog
* Thu Nov 09 2017 Michael Perzl <michael@perzl.org> - 2.3.2-3
- fixed a typo in the SPEC file that rendered version 2.3.2-2 useless

* Thu Nov 09 2017 Michael Perzl <michael@perzl.org> - 2.3.2-2
- rebuilt thread-safe and compiled against latest versions
- added RTL-style shared members

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 2.3.2-1
- updated to version 2.3.2

* Sun Jun 03 2012 Michael Perzl <michael@perzl.org> - 2.3.1-1
- updated to version 2.3.1

* Sun Jun 03 2012 Michael Perzl <michael@perzl.org> - 2.3.0-1
- updated to version 2.3.0

* Wed Nov 03 2010 Michael Perzl <michael@perzl.org> - 2.2.0-1
- updated to version 2.2.0

* Mon Nov 16 2009 Michael Perzl <michael@perzl.org> - 2.1.14-1
- first version for AIX V5.1 and higher
